API ReferenceMcp Servers

/public/mcp-servers/{mcpServerId}

PUT
/public/mcp-servers/{mcpServerId}

Path Parameters

mcpServerId*string

Header Parameters

X-API-Version?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://companion-api.napster.com/public/mcp-servers/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "url": "string",
  "headers": {
    "property1": "string",
    "property2": "string"
  },
  "allowedTools": [
    "string"
  ],
  "requireApproval": "never",
  "description": "string",
  "authorizationRequired": true,
  "tags": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}